--- title: "Activities Count" slug: "safran-project-integration-api-activities-count" updated: 2026-01-30T07:41:50Z published: 2026-01-30T07:41:50Z canonical: "docs.safran.com/safran-project-integration-api-activities-count" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.safran.com/llms.txt > Use this file to discover all available pages before exploring further. # Activities Count ## Activities Count ### /v1/activitiescount Get Activity Counts per Project ### Example for calling: http://server/v1/activitiescount/1 - retrieves activities count details for the project with project id = 1 http://server/v1/activitiescount?network_id=1 – retrieves activities count details in the project having network id = 1 http://server/v1/activitiescount?owner=SAFRANSA – retrieves all activities count details for projects where the owner is SAFRANSA http://server/v1/activitiescount?item_guid=0AEB0A02-A60E-4C9C-B8BF-123456789ABC - retrieves activities count details in the network having the given GUID Request Body = {….} see request fields below ### Allowed Methods: [GET] API Controller: **activitiescount** ### Description: This endpoint retrieves the count details of activities associated with a specific project. It returns a breakdown of activities by type, the total number of activities, and the project identifier. ### Request Fields: | Name | Type | Description | Notes | | --- | --- | --- | --- | | network_id | integer | Network Id | [Optional] | | id | integer | Project Id | [Optional] | | owner | string | Networks owner | [Optional] Relates to "SafranWebAPIOwnerVerificationDuringApiCalls" in [Application Settings](/v1/docs/application-settings) | | item_guid | guid | Network guid | [Optional] | At least one of these parameters is required. If multiple are provided, the API will prioritize them in the following order: 1. id 2. network_id 3. guid 4. owner. ### Response Fields: #### activitycount | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | total | integer | The total number of Activities | | | bytype | structure | see [activitycount.bytype](/v1/docs/safran-project-integration-api-projects#activitycountbytype) | | | network_id | integer | Network ID | Populated when network_id, item_guid or owner was provided | | project_id | integer | Project ID | Populated when project_id was provided | #### activitycount.bytype | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | activity | integer | The number of items of type activity | | | hammock | integer | The number of items of type hammock | | | summary | integer | The number of items of type summary | | | subproject | integer | The number of items of type subproject | | | interfaceactivity | integer | The number of items of type interface activity | | | startmilestone | integer | The number of items of type start milestone | | | finishmilestone | integer | The number of items of type finish milestone | | **Sample JSON Response** json result ``` [ { "total": 7, "bytype": { "activity": 1, "hammock": 1, "summary": 1, "subproject": 1, "interfaceactivity": 1, "startmilestone": 1, "finishmilestone": 1 }, "network_id": 100026, "project_id": 0 } ] ```